#version 400 core

layout(location = 0) in vec4 vertices;

out vec2 pass_texCoords;

uniform mat4 projectionMatrix;

void main() {
    gl_Position = projectionMatrix * vec4(vertices.x, vertices.y, 0.0, 1.0);
    pass_texCoords = vec2(vertices.z, vertices.w);
}
